Subject: bug#45041: 27.1; Emacs hangs if the cited message contains some specific text

From: Pratyush Yadav <[email-masked]>
Date: Thu, 14 Jan 2021 22:35:07 +0530

On 11/01/21 04:58PM, Lars Ingebrigtsen wrote:
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > I'm unable to reproduce this problem, so I'm guessing it's something in
> > your settings that's triggering it?
> >
> > Try
> >
> > (setq debug-on-quit t)
> >
> > and then post the resulting backtrace when you hit `C-g'.  That should
> > tell us what's triggering this.
> 
> More information was requested, but no response was given within a 
> month, so I'm closing this bug report.  If the problem still exists,
> please respond to this email and we'll reopen the bug report.
 
Sorry, forgot to reply. The backtrace is pasted below.

  looking-at("^\\(\\([ \11]*\\(\\w\\|[_.]\\)+>+\\|[ \11]*[>|]\\)+\\)? *>>>>> ...")
  gnus-cite-parse()
  gnus-cite-parse-wrapper()
  gnus-cite-parse-maybe(nil t)
  gnus-dissect-cited-text()
  gnus-article-fill-cited-article(nil t)
  gnus-article-fill-cited-long-lines()
  gnus-treat-article(nil 1 1 "text/plain")
  gnus-display-mime()
  gnus-article-prepare-display()
  gnus-article-prepare(411320 nil)
  gnus-summary-display-article(411320 nil)
  gnus-summary-select-article(nil force)
  gnus-summary-show-article()
  gnus-summary-select-article-buffer()
  funcall-interactively(gnus-summary-select-article-buffer)
  call-interactively(gnus-summary-select-article-buffer nil nil)
  command-execute(gnus-summary-select-article-buffer)

> -- 
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no

-- 
Regards,
Pratyush Yadav